#ifndef _DRV_P2S_H_
#define _DRV_P2S_H_
typedef struct
{
    UINT16 u2InputWidth;
    UINT16 u2InputHeight;
    UINT16 u2OutWidth;
    UINT16 u2OutHeight;
    UINT16 u2HFactor;
    UINT16 u2VFactor;
    UINT16 u2HInit;
    UINT16 u2VInit;
    BOOL bSetResEn;
}P2S_PDS_INFO_T;
typedef struct
{
    P2S_PDS_INFO_T sPDSInfo;
    BOOL bSetResEn;
    BOOL b4K1KMode;
    BOOL bMonLeft;
    BOOL bMonSyncMain;
    BOOL bSelP2SData;
    BOOL bP2SDBuf;
    UINT16 u2P2SWidth;
}P2S_INFO_T;

void vDrvP2SImportEn(UINT8 u1OnOff);
void vDrvP2SInit(void);
void vDrvP2SLoop(void);
void vDrvP2SSetModeChg(BOOL bOnOff);
void vDrvP2SClrModeChg(void);
BOOL bDrvP2SModeChg(void);
BOOL bDrvP2SGetEn(UINT8 u1Path);
void vDrvP2SSetEn(UINT8 u1OnOff);
void vDrvP2SDumpSta(void);

#endif

